> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Platform rules

> Lists all the Platform categorization rules.



## OpenAPI

````yaml GET /v0/platform/categorization/rules
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/platform/categorization/rules:
    get:
      tags:
        - Categorization
      summary: List all Platform rules
      description: Lists all the Platform categorization rules.
      operationId: get_platform_rules_v0_platform_categorization_rules_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The name of the rule for filtering.
            title: Name
          description: The name of the rule for filtering.
        - name: ledger_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ledger name for filtering.
            title: Ledger Name
          description: The ledger name for filtering.
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/CategorizationRuleSort'
              - type: 'null'
            description: A comma separated list of sort orders for the results.
            teal_explode: false
            title: Sort
          description: A comma separated list of sort orders for the results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            exclusiveMaximum: 1001
            description: The number of records to return. Max limit is 1000.
            default: 50
            title: Limit
          description: The number of records to return. Max limit is 1000.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque page token
            title: Page Token
          description: Opaque page token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategorizationRulePage'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    CategorizationRuleSort:
      type: string
      enum:
        - name
        - '-name'
        - ledger_name
        - '-ledger_name'
      title: CategorizationRuleSort
    CategorizationRulePage:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the next page
          examples:
            - ikal0NEVfMhF8dJf4yQ6KQZmGD
        prev_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the previous page
          examples:
            - vuA7JeKI5c6FLnPt5JfRcZcJxW
        records:
          items:
            $ref: '#/components/schemas/CategorizationRule'
          type: array
          title: Records
          description: The categorization rule objects
      type: object
      required:
        - next_page_token
        - prev_page_token
        - records
      title: CategorizationRulePage
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    CategorizationRule:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - N6ntpvTtiA4L31vVyVat5n
        expression:
          type: string
          title: Expression
          description: |-
            A pattern matching expression using the
                    match(pattern, field) function. Use `t` to access the Transaction
                    object. The pattern supports regular expression syntax.
                    
             
             Read more: [Categorization guide](https://docs.teal.dev/guides/platform/categorization/rules#expressions)
          examples:
            - match(".*(?i)SHELL GAS", t.description)
        ledger_name:
          type: string
          title: Ledger Name
          description: The name of the destination ledger.
          examples:
            - Fuel Expenses
        name:
          type: string
          title: Name
          description: An arbitrary string to name the rule.
          examples:
            - Shell to Fuel Expenses
        priority:
          type: integer
          title: Priority
          description: The priority of the rule.
          examples:
            - '100'
      type: object
      required:
        - id
        - expression
        - ledger_name
        - name
        - priority
      title: CategorizationRule
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````